# LogWriter

Extends \Writer

Extends the Writer class to output messages to Phing's log

author | Michiel Rook mrook@php.net
version | $Id: 7f4acf8203b01fce283e1a066159aa51146b6831 $
package | phing.util

### Methods

## Constructs a new LogWriter object

    __construct(\Task $task, integer $level = \Project::MSG_INFO)

### Arguments

#### $task

`\Task`

#### $level

`integer`

## Close the stream.

    close()

inherited abstract

throws | if there is an error closing stream.

## Flush the stream, if supported by the stream.

    flush()

inherited

## Returns a string representation of resource filename, url, etc. that is being written to.

    getResource() : string

inherited abstract

### Response

`string`

## open

    open()

see | \Writer::open()

## reset

    reset()

see | \Writer::reset()

## Writes data to output stream.

    write(string $buf, integer $off = null, integer $len = null)

inherited abstract

### Arguments

#### $buf

`string`

#### $off

`integer`

#### $len

`integer`

### Properties

## task

    task :

### Type(s)

``

## level

    level :

### Type(s)

``